/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.service.report.util;

import org.ow2.util.log.Log;
import org.ow2.util.log.LogFactory;

import javax.xml.datatype.DatatypeConfigurationException;
import javax.xml.datatype.DatatypeFactory;
import javax.xml.datatype.XMLGregorianCalendar;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 * Utility class
 */
public class Utility {

    /**
     * The logger
     */
    public static final Log logger = LogFactory.getLog(Utility.class);
    
    /**
     * @param date A {@link java.util.Date}
     * @return the associated {@link java.util.GregorianCalendar}
     */
    public static XMLGregorianCalendar date2XMLGregorianCalendar(final Date date) {
        DatatypeFactory dateTypeFactory = null;
        try {
            dateTypeFactory = DatatypeFactory.newInstance();
        } catch (DatatypeConfigurationException e) {
            logger.error("Cannot get a new instance of DatatypeFactory", e);
        }
        
        if (date != null) {
            GregorianCalendar gregorianCalendar = new GregorianCalendar();
            gregorianCalendar.setTime(date);
            return dateTypeFactory.newXMLGregorianCalendar(gregorianCalendar);
        } else {
            return null;
        }
    }
}
